> ## Documentation Index
> Fetch the complete documentation index at: https://docs.garden.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Instant Refund Hash

Retrieve the instant refund hash for a specific swap order. This hash can be used to immediately refund an order before the atomic swap's timelock expires.


## OpenAPI

````yaml GET /orders/{order}/instant-refund-hash
openapi: 3.1.0
info:
  title: Garden API
  version: 2.0.0
  description: API specification for various endpoints.
servers:
  - url: https://{environment}.garden.finance/v2
    variables:
      environment:
        default: api
        enum:
          - api
          - testnet.api
security:
  - garden-app-id: []
paths:
  /orders/{order}/instant-refund-hash:
    get:
      summary: Get instant refund hash for the given swap.
      parameters:
        - in: path
          name: order
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Swap with the given ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstantRefundHashResponse'
components:
  schemas:
    InstantRefundHashResponse:
      allOf:
        - $ref: '#/components/schemas/Response'
        - type: object
          properties:
            result:
              type: string
    Response:
      type: object
      properties:
        status:
          type: string
          enum:
            - Ok
            - Error
        error:
          type: string
          nullable: true
  securitySchemes:
    garden-app-id:
      type: apiKey
      name: garden-app-id
      in: header
      description: >-
        If you do not yet have an app ID, please follow these
        [steps](/api-reference/setup).

````